#include "partition.h"
std::vector<int> solve(std::vector<int> A){
    std::vector<std::pair<int,int>>a;
    std::vector<int>sol;
    int lng=A.size()-1;
    for(int i=0;i<=lng/2-1;i++)sol.push_back(i);
    sol.push_back(lng);
    for(int i=lng/2;i<=lng-1;i++)sol.push_back(i);
    return sol;
}